/**
 *  LibVortex:  A BEEP (RFC3080/RFC3081) implementation.
 *  Copyright (C) 2005 Advanced Software Production Line, S.L.
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public License
 *  as published by the Free Software Foundation; either version 2.1 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307 USA
 *  
 *  You may find a copy of the license under this software is released
 *  at COPYING file. This is LGPL software: you are welcome to
 *  develop proprietary applications using this library without any
 *  royalty or fee but returning back any change, improvement or
 *  addition in the form of source code, project image, documentation
 *  patches, etc. 
 *
 *  For commercial support on build BEEP enabled solutions contact us:
 *          
 *      Postal address:
 *         Advanced Software Production Line, S.L.
 *         C/ Dr. Michavila N 14
 *         Coslada 28820 Madrid
 *         Spain
 *
 *      Email address:
 *         info@aspl.es - http://fact.aspl.es
 */
#ifndef __VORTEX_IO_H__
#define __VORTEX_IO_H__

#include <vortex.h>

void                 vortex_io_waiting_set_create_fd_group     (VortexIoCreateFdGroup create);

gpointer             vortex_io_waiting_invoke_create_fd_group  ();


void                 vortex_io_waiting_set_destroy_fd_group    (VortexIoDestroyFdGroup destroy);

void                 vortex_io_waiting_invoke_destroy_fd_group (gpointer fd_group);


void                 vortex_io_waiting_set_clear_fd_group      (VortexIoClearFdGroup clear);

void                 vortex_io_waiting_invoke_clear_fd_group   (gpointer fd_group);


void                 vortex_io_waiting_set_add_to_fd_group     (VortexIoAddToFdGroup add_to);

void                 vortex_io_waiting_invoke_add_to_fd_group  (gint fds, gpointer fd_group);


void                 vortex_io_waiting_set_is_set_fd_group     (VortexIoIsSetFdGroup is_set);

gboolean             vortex_io_waiting_invoke_is_set_fd_group  (gint fds, gpointer fd_group);


void                 vortex_io_waiting_set_wait_on_fd_group    (VortexIoWaitOnFdGroup wait_on);

gint                 vortex_io_waiting_invoke_wait             (gpointer fd_group, 
								gint     max_fds,
								VortexIoWaitingFor wait_to);

								

#endif
