/* Hey emacs, show me this like 'c': -*- c -*-
 *
 * xml-rpc-gen: a protocol compiler for the XDL definition language
 * Copyright (C) 2006 Advanced Software Production Line, S.L.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA.
 */

#ifndef __XML_RPC_SUPPORT_H__
#define __XML_RPC_SUPPORT_H__

#include <glib.h>


/* directory handling */
gchar * xml_rpc_support_create_dir      (gchar * format, 
					 ...);

/* file handling */
void    xml_rpc_support_open_file       (gchar * format, 
					 ...);

void    xml_gen_support_close_file      ();

void    xml_rpc_support_error           (gchar * message, 
					 gboolean must_exit, 
					 ...);

void    xml_rpc_support_move_file       (gchar * from, 
					 gchar * to);

/* indent handling */
void    xml_rpc_support_push_indent     ();

void    xml_rpc_support_pop_indent      ();

/* writing content into files handling */
void    xml_rpc_support_write           (gchar * format, ...);

#define xml_rpc_support_mwrite xml_rpc_support_multiple_write

void    xml_rpc_support_multiple_write  (gchar * first_line, ...);

#define xml_rpc_support_write_sl  xml_rpc_support_sl_write

void    xml_rpc_support_sl_write        (gchar * format, ...);

void    xml_rpc_report (gchar * format, ...);

void    xml_rpc_support_make_executable (gchar * format, ...);

/* file location functions */
void     xml_rpc_support_add_search_path     (gchar * path);

void     xml_rpc_support_add_search_path_ref (gchar * path);

gchar  * xml_rpc_support_find_data_file      (gchar * name);

#endif
